Browse Source

Bumping min os-brick ver to 4.3.1

The os-brick 4.3.1 release fixes a critical data loss bug that can be
triggered by reconfiguring [libvirt]/volume_use_multipath while volumes
are attached.

The following requirements and lower-requirements are also bumped as
introduced into os-brick by Ie7dcc859e1291bd1d50b1ae516be38d8732de836:

    os-brick 4.3.1 depends on eventlet>=0.30.1
    os-brick 4.3.1 depends on oslo.concurrency>=4.4.0
    os-brick 4.3.1 depends on oslo.service>=2.5.0
    os-brick 4.3.1 depends on oslo.serialization>=4.1.0
    os-brick 4.3.1 depends on oslo.utils>=4.8.0
    os-brick 4.3.1 depends on pbr>=5.5.1
    os-brick 4.3.1 depends on requests>=2.25.1
    os-brick 4.3.1 depends on tenacity>=6.3.1

Co-Authored-By: Lee Yarwood <lyarwood@redhat.com>
Related-Bug: #1921381
Change-Id: I0d5df271dec1c6035229b02ec45e03abad6f27e7
(cherry picked from commit e5b264bf7b)
changes/22/783822/1 23.0.0
Balazs Gibizer 7 months ago
committed by Lee Yarwood
parent
commit
68af588d5c
  1. 18
      lower-constraints.txt
  2. 16
      requirements.txt

18
lower-constraints.txt

@ -21,7 +21,7 @@ decorator==4.1.0
deprecation==2.0
dogpile.cache==0.6.5
enum-compat==0.0.2
eventlet==0.26.1
eventlet==0.30.1
extras==1.0.0
fasteners==0.14.1
fixtures==3.0.0
@ -58,7 +58,7 @@ netifaces==0.10.4
networkx==2.1.0
numpy==1.19.0
openstacksdk==0.35.0
os-brick==4.2.0
os-brick==4.3.1
os-client-config==1.29.0
os-resource-classes==0.4.0
os-service-types==1.7.0
@ -68,7 +68,7 @@ os-win==5.4.0
os-xenapi==0.3.4
osc-lib==1.10.0
oslo.cache==1.26.0
oslo.concurrency==4.3.0
oslo.concurrency==4.4.0
oslo.config==6.8.0
oslo.context==3.1.1
oslo.db==4.44.0
@ -80,10 +80,10 @@ oslo.policy==3.6.0
oslo.privsep==2.4.0
oslo.reports==1.18.0
oslo.rootwrap==5.8.0
oslo.serialization==4.0.1
oslo.service==2.4.0
oslo.serialization==4.1.0
oslo.service==2.5.0
oslo.upgradecheck==1.3.0
oslo.utils==4.7.0
oslo.utils==4.8.0
oslo.versionedobjects==1.35.0
oslo.vmware==2.17.0
oslotest==3.8.0
@ -94,7 +94,7 @@ packaging==20.4
paramiko==2.7.1
Paste==2.0.2
PasteDeploy==1.5.0
pbr==5.5.0
pbr==5.5.1
pluggy==0.6.0
ply==3.11
prettytable==0.7.1
@ -127,7 +127,7 @@ python-subunit==1.4.0
pytz==2018.3
PyYAML==5.1
repoze.lru==0.7
requests==2.23.0
requests==2.25.1
requests-mock==1.2.0
requestsexceptions==1.4.0
retrying==1.3.3
@ -146,7 +146,7 @@ stevedore==1.20.0
suds-jurko==0.6
taskflow==3.8.0
Tempita==0.5.2
tenacity==6.2.0
tenacity==6.3.1
testrepository==0.0.20
testresources==2.0.0
testscenarios==0.4

16
requirements.txt

@ -2,10 +2,10 @@
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=5.5.0 # Apache-2.0
pbr>=5.5.1 # Apache-2.0
SQLAlchemy>=1.2.19 # MIT
decorator>=4.1.0 # BSD
eventlet>=0.26.1 # MIT
eventlet>=0.30.1 # MIT
Jinja2>=2.10 # BSD License (3 clause)
keystonemiddleware>=4.20.0 # Apache-2.0
lxml>=4.5.0 # BSD
@ -28,30 +28,30 @@ python-cinderclient!=4.0.0,>=3.3.0 # Apache-2.0
keystoneauth1>=3.16.0 # Apache-2.0
python-neutronclient>=6.7.0 # Apache-2.0
python-glanceclient>=2.8.0 # Apache-2.0
requests>=2.23.0 # Apache-2.0
requests>=2.25.1 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
websockify>=0.9.0 # LGPLv3
oslo.cache>=1.26.0 # Apache-2.0
oslo.concurrency>=4.3.0 # Apache-2.0
oslo.concurrency>=4.4.0 # Apache-2.0
oslo.config>=6.8.0 # Apache-2.0
oslo.context>=3.1.1 # Apache-2.0
oslo.log>=4.4.0 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
oslo.serialization>=4.0.1 # Apache-2.0
oslo.serialization>=4.1.0 # Apache-2.0
oslo.upgradecheck>=1.3.0
oslo.utils>=4.7.0 # Apache-2.0
oslo.utils>=4.8.0 # Apache-2.0
oslo.db>=4.44.0 # Apache-2.0
oslo.rootwrap>=5.8.0 # Apache-2.0
oslo.messaging>=10.3.0 # Apache-2.0
oslo.policy>=3.6.0 # Apache-2.0
oslo.privsep>=2.4.0 # Apache-2.0
oslo.i18n>=5.0.1 # Apache-2.0
oslo.service>=2.4.0 # Apache-2.0
oslo.service>=2.5.0 # Apache-2.0
rfc3986>=1.2.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
psutil>=3.2.2 # BSD
oslo.versionedobjects>=1.35.0 # Apache-2.0
os-brick>=4.2.0 # Apache-2.0
os-brick>=4.3.1 # Apache-2.0
os-resource-classes>=0.4.0 # Apache-2.0
os-traits>=2.5.0 # Apache-2.0
os-vif>=1.14.0 # Apache-2.0

Loading…
Cancel
Save